Subject: pkg/24564: vim pkg shouldn't force ncurses use
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/26/2004 15:15:34
>Number:         24564
>Category:       pkg
>Synopsis:       vim pkg shouldn't force ncurses use
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Thu Feb 26 14:16:00 UTC 2004
>Originator:     Jaromir Dolecek
>Release:        NetBSD 1.6ZJ
System: NetBSD 1.6ZJ NetBSD 1.6ZJ (SARUMAN.MP) #115: Tue Feb 10 17:50:41 CET 2004 i386
Architecture: i386
Machine: i386
	The package should not force ncurses, vim works perfectly well
	with NetBSD in-tree curses.
	build vim, notice it requires ncurses
	edit pkgsrc/editors/vim{,-share}/Makefile and replace

	notice the program works exactly as before
	Perhaps use some feature check to find out if the system
	curses are good enough?